{% load static %}
<!DOCTYPE html>
<html lang="en">

  <head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Magazine Details</title>
    <link rel="stylesheet" href="{% static 'css/app.css' %}">
  </head>

  <body>
    <header>
      <nav>
        <ul>
          <li>
            <a href="{% url 'magazines_list' %}">Magazines</a>
          </li>
          <li>
            <a href="{% url 'books_list' %}">Books</a>
          </li>
          <li>
            <a href="{% url 'admin:index' %}">Admin</a>
          </li>
          <li>
            <a href="{% url 'create_magazine' %}">Add a magazine</a>
          </li>
        </ul>
      </nav>
    </header>
    <main>
      <div>
        <div>
          {% if magazine.cover %}
          <img src="{{ magazine.cover }}" alt="cover" width=300px height=auto>
          {% endif %}
          <h1>{{ magazine.title }}</h1>
          <p>Frequency: {{ magazine.release_cycle }}</p>
          <p>Description: {{ magazine.description }}</p>
        </div>
        <a href="{% url 'edit_magazine' magazine.pk %}"><button type="button">Edit This Magazine</button></a>
        <a href="{% url 'delete_magazine' magazine.pk %}"><button type="button">Delete This Magazine</button></a>
        <a href="{% url 'add_issue' magazine.pk %}"><button type="button">Add an Issue</button></a>
      </div>
      <hr>
      <h2>Issues</h2>
      <hr>
      {% for issue in magazine.issues.all %}
      <div>
        <img src="{{ issue.cover_img }}" alt="cover" width=200px height=auto>
        <h3>{{ issue.title }}</h3>
        <p>Issue #{{ issue.issue_number }}</p>
        <p>Date Published: {{ issue.date_published }}</p>
        <p>Page count: {{ issue.page_count }}</p>
        <p>description: {{ issue.description }}</p>
      </div>
      <hr>
      {% endfor %}
    </main>
  </body>

</html>